Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.xquery.item
Class Tim

    java.lang.Object
      org.basex.query.xquery.expr.Expr
          org.basex.query.xquery.item.Item
              org.basex.query.xquery.item.Date
                  org.basex.query.xquery.item.Tim

    public final class Tim

extends Date

Time item.

Author:
  Workgroup DBIS, University of Konstanz 2005-07, ISC License, Christian Gruen

Field Summary

Fields inherited from class org.basex.query.xquery.item.Date
`mil, minus, mon, sec, zone, zshift`

Fields inherited from class org.basex.query.xquery.expr.Expr
`type`

Constructor Summary
`Tim(byte[] tim)` Constructor.
`Tim(Date d)` Constructor.
`Tim(Tim d, DTd a, boolean p)` Constructor.

Method Summary
`byte[]` | `str()` Returns an atomized string.

Methods inherited from class org.basex.query.xquery.item.Date
`diff, diff, dpm, eq, toString`

Methods inherited from class org.basex.query.xquery.item.Item
`bool, castErr, comp, dbl, eval, flt, i, info, iter, itr, serialize, serialize, size`

Methods inherited from class org.basex.query.xquery.expr.Expr
`cls, d, e, n, node, s, u`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Tim

    public Tim(byte[] tim)
        throws XQException

  Constructor.

  Parameters:
    `tim` - time
  Throws:
    `XQException` - evaluation exception

### Tim

    public Tim(Date d)

  Constructor.

  Parameters:
    `d` - date

### Tim

    public Tim(Tim d,
               DTd a,
               boolean p)

  Constructor.

  Parameters:
    `d` - date
    `a` - duration to be added/subtracted
    `p` - plus/minus flag

Method Detail

### str

    public byte[] str()

  Description copied from class: `Expr`
  Returns an atomized string.

  Overrides:
    `str` in class `Expr`
  Returns:
    string representation

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD